«前の日記(2011年06月11日) 最新 次の日記(2011年11月04日)» 編集

ema log


2011年10月11日 [長年日記]

_ [Ruby] さくらインターネットのレンタルサーバに Ruby 1.9.2 を入れた

ドキュメントの生成・インストールは無効にしている

./configure --prefix=$HOME/local --enable-shared --disable-install-doc --enable-option-checking
make && make test
make install

後、RubyGems もアップデート

gem update --system
gem update

1.8からバージョンアップした場合、RMagick など、native extensions を必要とするものは、再インストールの必要があるかも

gem install rmagick
gem install nokogiri
gem install json
gem install ruby-prof